mail = {
	
	/**
	 * @description	Sends mail via CFaaS
	 * @method	send
	 * @public	
	 * @return			{void} 
	*/
	send: function () {
		// create a callback object
		var callback = {
			success: mail.successSend,
			failure: mail.failureSend
		} 
		
		// set up the params to pass the service
		var postData = "method=send&&username=&password=&bcc=&cc=&type=&failto=&mailerid=&priority=&timeout=&usessl=&usetls=&wraptext=&replyto=&mimeattach=&charset=" + 
			"&server=" + escape(YAHOO.util.Dom.get('mailserver').value) +
			"&serviceusername=" + escape(YAHOO.util.Dom.get('serviceuser').value) +
			"&servicepassword=" + escape(YAHOO.util.Dom.get('servicepassword').value) +
			"&from=" + escape(YAHOO.util.Dom.get('mailfrom').value) +
			"&to=" + escape(YAHOO.util.Dom.get('mailto').value) +
			"&subject=" + escape(YAHOO.util.Dom.get('mailsubject').value) +
			"&content=" + escape(YAHOO.util.Dom.get('mailcontent').innerHTML);
		
		// make the Ajax call
		YAHOO.util.Connect.asyncRequest('POST', '../../CFIDE/services/mail.cfc', '', postData);
	},
	
	successSend: function (o) {
		alert('Your mail has been sent via ColdFusion 9 CFaaS!');
	},
	
	failureSend: function (o) {
		alert('An error occurred while sending mail.');
	}
}